# $Revision: 1.20 $, $Date: 2008/09/26 13:18:21 $
%define		_decoration	crystal
Summary:	Kwin decoration - %{_decoration}
Summary(pl.UTF-8):	Dekoracja kwin - %{_decoration}
Name:		kde-decoration-%{_decoration}
Version:	1.0.6
Release:	1
License:	GPL
Group:		Themes
Source0:	http://www.kde-look.org/CONTENT/content-files/13969-%{_decoration}-%{version}.tar.bz2
# Source0-md5:	08150ac1b878654cfec74f01900cabd2
Patch0:		kde-ac260-lt.patch
URL:		http://www.kde-look.org/content/show.php?content=13969
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	kdebase-desktop-libs >= 9:3.5.0
BuildRequires:	kdebase-devel >= 9:3.5.0
BuildRequires:	kdelibs-devel >= 9:3.5.0
Buildrequires:	libuuid-devel
BuildRequires:	python
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	unsermake
Requires:	kdebase-desktop-libs >= 9:3.5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This decoration is very closely modelled on the fvwm2 crystal style,
it's main asset is transparency.

It has a sleek and simple design, but it has (pseudo) TRANSPARENT
titlebar, buttons and borders. The style can use the current colors
for the title bar and blends it with the background image of the
desktop, or just play around with the brightness and intensity of the
background image. You can define the amount of shadeness for the
active and inactive window (all between fully transparent and fully
opaque).

%description -l pl.UTF-8
Ta dekoracja jest modelowana bardzo blisko stylu crystal dla fvwm2,
skupiając się głównie na przezroczystości.

Ma gładki i prosty wystrój, ale ma (pseudo) PRZEZROCZYSTĄ belkę
tytułową, przyciski i ramki. Styl może używać bieżących
kolorów dla belki tytułowej i mieszać je z obrazem tła pulpitu,
lub tylko bawić się jasnością i nasyceniem obrazu tła. Można
definiować ilość cieniowania dla aktywnego i nieaktywnego okna
(wszystko między pełną przezroczystością i pełną
nieprzezroczystością).

%prep
%setup -q -n %{_decoration}-%{version}
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub admin
export UNSERMAKE=/usr/share/unsermake/unsermake
%{__make} -f Makefile.cvs

%configure \
	--with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir="%{_kdedocdir}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_libdir}/kde3/kwin*.la
%attr(755,root,root) %{_libdir}/kde3/kwin*.so
%{_datadir}/apps/kwin/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde-decoration-crystal.spec,v $
Revision 1.20  2008/09/26 13:18:21  spider
- br: lubuuid-devel
- adapter

Revision 1.19  2008/09/22 12:10:21  spider
- up to 1.0.6

Revision 1.18  2007/06/02 10:57:42  rotom
- up to 1.0.4

Revision 1.17  2007/04/25 16:44:00  rotom
- up to 1.0.3
- 2 patches removed

Revision 1.16  2007/02/24 11:23:19  megabajt
- release 2

Revision 1.15  2007/02/24 11:17:12  rotom
- kde ac,am patches added

Revision 1.14  2007/02/13 08:06:36  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:48:58  baggins
- converted to UTF-8

Revision 1.12  2006/11/12 18:03:24  rotom
- up to 1.0.2

Revision 1.11  2006/06/26 20:32:23  rotom
- 1.0.1

Revision 1.10  2006/03/30 10:28:18  rotom
- up to 1.0.0

Revision 1.9  2006/02/19 23:59:00  rotom
- up to 0.9.9

Revision 1.8  2005/07/17 09:21:09  blekot
- up to 0.9.2

Revision 1.7  2005/03/28 18:54:55  darekr
- unified
- _kdedocdir needs macros 1.129

Revision 1.6  2005/01/23 21:02:03  saq
- up to 0.9.1

Revision 1.5  2005/01/15 23:34:49  jasio
- Added additional BuildRequire for python

Revision 1.4  2004/10/09 14:31:23  zergin
- added missing BR: kdebase-devel

Revision 1.3  2004/08/31 19:22:13  snurf
- typos / formatting / etc.

Revision 1.2  2004/07/12 19:25:24  qboosh
- 4 minutes was too little - pl, cleanups

Revision 1.1  2004/07/12 18:01:58  djurban
- "Creating a spec should take only 4 minutes" - djurban, and so it did.
- a kwin port of fvwm-crystal decoration http://www.kde-look.org/content/pre1/13969-1.jpg
